View Issue Details

IDProjectCategoryView StatusLast Update
0001906FreeCADFeaturepublic2017-09-30 14:16
ReportershoogenAssigned Towmayer 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.17 
Summary0001906: add Parameters isRelative, theAngDeflection of BRepMesh_IncrementalMesh in MeshFromShape Gui command
Descriptionexpose the additional Parameters isRelative, theAngDeflection of BRepMesh_IncrementalMesh in MeshFromShape taskview gui command.
TagsMesh, Task View

Activities

wmayer

2015-01-11 12:23

administrator   ~0005612

Note, in order to create a mesh from a shape the function StlTransfer::BuildIncrementalMesh is used because this creates a valid mesh.

However, the problem is that StlTransfer::BuildIncrementalMesh doesn't offer the requested additional parameters.

The class BRepMesh_IncrementalMesh may produce triangles where a vertex of one triangle lies on an edge of another triangle which is not allowed for a valid mesh.
Since the output triangles of this class is used for display purposes it doesn't matter.

shoogen

2015-01-12 11:23

developer   ~0005631

We could either assure that the shape has allready a triangulation with the wanted angular deflection. Or ask OCCT to change https://github.com/tpaviot/oce/blob/master/src/StlTransfer/StlTransfer.cxx#L120

shoogen

2015-01-17 14:16

developer   ~0005666

> The class BRepMesh_IncrementalMesh may produce triangles where a vertex of one triangle lies on an edge of another triangle
Are you sure whether this is still the case?

http://tracker.dev.opencascade.org/view.php?id=25357#c36174

wmayer

2015-01-17 14:53

administrator   ~0005667

No.

But anyway, one has to duplicate the whole code of StlTransfer::BuildIncrementalMesh just to be able to pass the angle deflection.

shoogen

2015-02-05 22:56

developer   ~0005768

> But anyway, one has to duplicate the whole code of StlTransfer::BuildIncrementalMesh just to be able to pass the angle deflection.
From OCCT 6.8.1 on this will not be an issue anymore.

https://github.com/5263/FreeCAD/commit/086201a2ee5a3c60044faeecfdc8e7a2c988b7f8
git://github.com/5263/FreeCAD dev-stlmesh

wmayer

2017-09-30 14:16

administrator   ~0010220

https://github.com/FreeCAD/FreeCAD/commit/93c32f0aa93ec622c38293fce9cf7b69c124f778

Related Changesets

FreeCAD: master cd771f65

2015-02-05 23:43:28

shoogen


Committer: wmayer Details Diff
meshing was removed from StlTransfer

with OCCT CR0025357 issue 0001906
Affected Issues
0001906
mod - src/Mod/Part/App/TopoShape.cpp Diff File

Issue History

Date Modified Username Field Change
2015-01-08 14:53 shoogen New Issue
2015-01-08 14:53 shoogen Tag Attached: Task View
2015-01-08 14:54 shoogen Tag Attached: Mesh
2015-01-11 12:23 wmayer Note Added: 0005612
2015-01-12 11:23 shoogen Note Added: 0005631
2015-01-17 14:16 shoogen Note Added: 0005666
2015-01-17 14:53 wmayer Note Added: 0005667
2015-02-05 22:56 shoogen Note Added: 0005768
2015-02-12 13:30 wmayer Changeset attached => FreeCAD Master master cd771f65
2017-02-10 09:59 wmayer Assigned To => wmayer
2017-02-10 09:59 wmayer Status new => assigned
2017-09-30 14:16 wmayer Status assigned => closed
2017-09-30 14:16 wmayer Resolution open => fixed
2017-09-30 14:16 wmayer Fixed in Version => 0.17
2017-09-30 14:16 wmayer Note Added: 0010220